/*---------------------------------------------------------------------------*
  Project:  SoftKeyboard
  File:     kbd_autoRepeat.h

  Copyright 2005 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: kbd_autoRepeat.h,v $
  Revision 1.1  2005/06/14 11:30:01  hatamoto_minoru
  Initial registration

  $NoKeywords: $
 *---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*
  Project:  software keyboard
  File:     kbd_autorepeat.h

  processes related to auto-repeat

 *---------------------------------------------------------------------------*/
#ifndef KBD_AUTOREPEAT_H_
#define KBD_AUTOREPEAT_H_


typedef struct tagKBDAutoRepeat
{
    u16 frame;         // repeat frame counter
    u16 first_frame;   // the number of frames until the first repeat
    u16 next_frame;    // the number of frames until the next repeat
    u16 is_repeating;  // repeating?
    
} KBDAutoRepeat;


#define KBD_AUTOREPEAT_FIRST_FRAME 40  // default value for the number of frames until repeat starts
#define KBD_AUTOREPEAT_NEXT_STEP   5   // default value for the repeat interval after repeat starts

extern void KBD_InitAutoRepeat     ( KBDAutoRepeat* repeat );
extern void KBD_InitAutoRepeatValue( KBDAutoRepeat* repeat, int first, int step );
extern void KBD_UpdateAutoRepeat   ( KBDAutoRepeat* repeat );
extern void KBD_ResetAutoRepeat    ( KBDAutoRepeat* repeat );
extern BOOL KBD_IsTriggerAutoRepeat( KBDAutoRepeat* repeat );
BOOL KBD_IsRepeatingAutoRepeat( const KBDAutoRepeat* repeat );

void KBD_InitPadRepeat( u16 mask );
void KBD_InitPadRepeatValue( u16 mask, int first, int step );
void KBD_UpdatePadRepeat( void );
u16 KBD_GetPadRepeat( void );
u16 KBD_GetPadTrigRepeat( void );
void KBD_GetPadRepeatFrame( int* first, int* step );
u16 KBD_GetPadRepeatMask( void );


#endif // KBD_AUTOREPEAT_H_
