/*---------------------------------------------------------------------------*
  Project:  SoftKeyboard
  File:     kbd_input.h

  Copyright 2005 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: kbd_input.h,v $
  Revision 1.2  2005/07/04 01:10:58  hatamoto_minoru
  Comment revised

  Revision 1.1  2005/06/14 11:30:01  hatamoto_minoru
  Initial registration

  $NoKeywords: $
 *---------------------------------------------------------------------------*/

#ifndef KBD_INPUT_H_
#define KBD_INPUT_H_


// input-related

// functions called by the loop
extern void KBD_StartupPadTpInput(void);
extern void KBD_UpdatePadTpInput(void);
extern void KBD_UpdatePadTpInputValue(u16 paddata, TPData tpdata);

// functions called when necessary
extern void KBD_ClearPadTpInput(void);
extern void KBD_ClearPadInput(int mask);

// key input call functions
extern BOOL KBD_IsSetPadTrig(int key);
extern BOOL KBD_IsSetPadPress(int key);
extern BOOL KBD_IsSetPadRelease(int key);

// touch panel events
typedef enum
{
	KBD_TP_NONE = 0,  // no touch event
	KBD_TP_DOWN,      // touch-on
	KBD_TP_REPEAT,    // touch repeat
	KBD_TP_UP,        // touch-off
    KBD_TP_DRAG,      // being dragged not used within kbd_input.c
	KBD_TP_MAX
} KBDTpEvent;

// touch call functions
extern BOOL KBD_IsTouchedTp(void);
extern KBDTpEvent KBD_GetTpEvent(void);
extern u16 KBD_GetTpX(void);
extern u16 KBD_GetTpY(void);
extern void KBD_EnableTpSampling(void);
extern void KBD_DisableTpSampling(void);
extern BOOL KBD_IsEnableTpSampling(void);


#endif // KBD_INPUT_H_
