/*---------------------------------------------------------------------------*
  Project:  SoftKeyboard
  File:     kbd_font.c

  Copyright 2005 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: kbd_font.c,v $
  Revision 1.3  2006/03/01 19:57:00  tahara_yasuyuki
  Support key top design change

  Revision 1.2  2005/07/04 01:10:58  hatamoto_minoru
  Comment revisions

  Revision 1.1  2005/06/14 11:30:05  hatamoto_minoru
  Initial registration

  $NoKeywords: $
 *---------------------------------------------------------------------------*/
///////////////////////////////////////////////////////////////////////////////
/// 
/// Initialize and get fonts
///
/// * In IPL small = 0, tiny = 1, as fixed values.
/// 
///////////////////////////////////////////////////////////////////////////////

#include <nitro.h>
#include "kbd_data.h"
#include "kbd_font.h"
#include "kbd_util.h"



static NNSG2dFont sFont;

///////////////////////////////////////////////////////////////////////////////
/// 
/// all fonts to be used are initialized
/// 
///////////////////////////////////////////////////////////////////////////////
void       KBD_InitFont()
{
	NNS_G2dFontInitUTF16( &sFont, KBD_Font_m_NFTR );
}



///////////////////////////////////////////////////////////////////////////////
/// 
/// gets the pointer to the font layout.
/// 
///////////////////////////////////////////////////////////////////////////////
const NNSG2dFont* KBD_GetFont()
{
    return &sFont;
}
